Skip to navigation

List Country Coefficients

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Retrieve all or any specific records of Country Coefficients based on the filters(optional) for specific country.

Search for specific objects using the criteria in the $filter parameter; full documentation is available on Filtering in REST . Paginate your results using the $top, $skip, and $orderby parameters.

Authentication

Authorizationstring
API Key authentication via header

Path parameters

countrystringRequired
Country for which data need to be pulled for.

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

$filterstringOptional

A filter statement to identify specific records to retrieve. For more information on filtering, see Filtering in REST.
Not filterable: CoefficientsId, AccountId, ModifiedUserId, CreatedUserId

$includestringOptional
A comma separated list of additional data to retrieve.
$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error